% Napetost na kondenzatorju pri zaporedni vezavi upora in kondenzatorja
U=1;
R=5e3;
C=10e-6;  %50e-6

n=0:0.01:4;
f=10.^n;
om=2*pi*f;


Uc=U*1./(1+j.*om*R*C)  % ne v decibelih
UcDb=20*log10(Uc);  % v decibelih
%subplot(2,1,1); semilogx(f,Uc,'LineWidth',2);ylabel('Razmerje napetosti');
subplot(2,1,1); semilogx(f,UcDb,'LineWidth',2);ylabel('Razmerje napetosti v Db');
xlabel('Frekvenca  /Hz');
title('Bodejev graf')

%set(gca,'ytick',20*log10(Uc))
subplot(2,1,2); semilogx(f,angle(Uc),'LineWidth',2)
xlabel('Frekvenca  /Hz');
ylabel('Fazni kot  /rad');


pause(4)
%% Tvorim asovni signal + superpozicija treh sinusov razlinih frekvenc

t=0:1e-6:500e-3;
U1=10;U2=10;U3=10;
om1=1e1;om2=1e2;om3=1e3;
f0=1/(2*pi*R*C);
Ut=U1*cos(om1.*t)+U2*cos(om2.*t)+U3*cos(om3.*t);  % Vhodni signal

UC1=U1./(1+j.*om1*R*C);  % Kompleksorji izhodnih napetosti
UC2=U2./(1+j.*om2*R*C);
UC3=U3./(1+j.*om3*R*C);

Uc=UC1*cos(om1.*t+angle(UC1))+UC2*cos(om1.*t+angle(UC2))+UC3*cos(om1.*t+angle(UC3));
figure;
plot(t,U1*cos(om1.*t),t,U2*cos(om2.*t),t,U3*cos(om3.*t));
xlabel('Cas   /s'); ylabel('Napetost  /V'); title('Vsota treh sinusov razlinih frekvenc')

pause(3)
figure;
plot(t,Ut,t,UC1*cos(om1.*t+angle(UC1)),'-',t,Uc,'k')
xlabel('Cas   /s'); ylabel('Napetost  /V');
title('Nefiltriran in filtriran signal glede na originalni nizkofrekvenni signal')

h = msgbox('Spreminjaj C in/ali R v kodi in opazuj delovanje RC filtra')


