% RESONANCNA KRIVULJA ZA ZAPOREDNO RESONANCO
clear all
ln=['- ';'--';': ']
jj=0; MaxI=0;
set(gca,'LineWidth',2)

for i=1:0.5:2 % poveujemo upornost po korakih 10^0.5

jj=jj+1;
ii=3:0.0001:5;
f=10.^ii;

om=(2*pi.*f); 
U=1;
R=10*10^i
L=10e-3;
C=0.1e-6;

Z=R+j*(om*L-1./(om*C)); % Zaporedna vezava RLC
% TU LAHKO ZAMENJA IMPEDANCO IN OPAZUJE RESONANCO  DRUGIH VEZIJ
% Z=1./(1./(R+1./(j*om*C))+j*om*C+1./(j*om*L)); % Vzporedna vezava RC z LC

Y=1./Z;
f;
I=U./Z;
Iabs=abs(I);
fi=angle(Z);
%om0=1/(sqrt(C*L))
%f0=om0/(2*pi);
find0=find(Z==max(Z));
%find0=find(Y==max(Y));
om0=om(find0)
f0=om0/(2*pi)
fi0=fi(find0)/pi*180
if max(Iabs) > MaxI
    MaxI=max(Iabs)
end

%plotyy(f,Iabs,f,fi)
subplot(2,1,1); semilogx(f,Iabs,ln(jj,:))
xlabel('f / Hz')
ylabel('Tok / A')
axis([min(f) max(f) 0 MaxI])
hold on;
% axis([0 3*T -U U])
subplot(2,1,2); semilogx(f,fi,ln(jj,:))
hold on

axis([min(f) max(f) -2 2])
semilogx([min(f) 200 max(f)], [0 0 0])
xlabel('f / Hz')
ylabel('fazni kot / rd')
% axis([0 3*T -1e-3 1e-3])


end
hold off
figure % Razglasenost
semilogx(om,om/om0-om0./om)
xlabel('f / Hz')
ylabel('razglasenost')

figure
plot(f,R.*om./om,f,om*L,f,1./(om*C))
axis([1 1e4 1 2.5e3])
xlabel('f / Hz')
ylabel('Upornosti / Ohm')
