%% asovni izris sinusnega signala
Im=1; om=2; fi=0;
t=0:0.01:4;
i=Im*sin(om*t-fi)
plot(t,i,[0 4],[0 0])
xlabel('Cas t / s')
ylabel('Tok /A')

%% sinusni signal kot funkacija kota
omt=0:0.1:3*pi
i=Im*sin(omt-fi)
figure
plot(omt,i,[0 3*pi],[0 0])
xlabel('ut / rd')
ylabel('Tok /A')

%% Setevek dveh harmonicnih signalov
t=0:0.01:4;
i1=10*sin(2*t);
i2=2*sin(10*t);
figure
plot(t,i1+i2,t,i1,':',t,i2,'--',[0 4],[0 0])
xlabel('Cas / s')
ylabel('Tok /A')
legend('i','i1','i2')

%% prikaz dveh fazno zamaknjenih signalov
omt=-pi/2:0.1:3*pi
i=1*sin(omt+pi/6)
u=1.5*sin(omt+pi/3);
figure
plot(omt,i,omt,u,':',[-pi/2 3*pi],[0 0],'k',[0 0], [-1.5 1.5],'k', 'Linewidth',2)
xlabel('Cas / s')
ylabel('Tok /A')
legend('i','u')