% Izraun srednje in efektivne vrednosti za trikotno obliko signala
T=5e-3; 
om=2*pi/T; 
dt=T/1000; 
t=0:dt:3*T;  
i=2*sawtooth(om.*t,0.8)+1; 
Isr=trapz(i)*dt/(3*T)
plot(t,i,[0 3*T],[Isr Isr]); xlabel('t  / s')
hold on; 

Ir=trapz(abs(i))*dt/(3*T)  % izraun usmerjene vrednosti
plot([0 3*T], [Ir Ir],'-k') 

Ief=sqrt(trapz(i.^2)*dt/(3*T))  % izraun efektivne vrednosti

%figure
%plot(t,i.^2);
plot([0 3*T], [Ief Ief],'-r')
legend('signal','Isr: enosmerna vrednost','Ir: usmerjena vrednost','Ief: efektivna vrednost')
plot([0 0 3*T], [0 0 0],'b--'); % dodam ravno rto
